import { AfterContentInit, OnDestroy, QueryList } from '@angular/core';
import { FormGroupDirective, NgForm } from '@angular/forms';
import { NtFormFieldComponent } from './form-field.component';
export declare class NtFormAutofocusDirective implements AfterContentInit, OnDestroy {
    private _destory;
    formContainer: NgForm | FormGroupDirective;
    fields: QueryList<NtFormFieldComponent>;
    constructor(form: NgForm, formGroup: FormGroupDirective);
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
}
